<?php
require_once('../../classes/body.class.php');
require_once('../../classes/db.class.php');
require_once('../../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Смена иконки');

///Подключаем шапку
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li typeof="v:Breadcrumb"><a href="/billing/usl" rel="v:url" property="v:title">Услуги</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Смена иконки</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - <a href="/billing/usl">Услуги</a> - Смена иконки</div>';

$bill = DB::$dbs->queryFetch("SELECT * FROM billing_set WHERE id = ? LIMIT 1",[1]);

if (isset($_GET['ok'])) echo '<div class="row text_box">Иконка установлена!</div>';

if (isset($_POST['add'])) {
$fnames = $_FILES['file']['name'];
$pictures = ['.png','.gif'];
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
$par = getimagesize($_FILES['file']['tmp_name']);
if ($par[0] > 16 || $par[1] > 16) {
err('Большое расширение файла!');
} elseif (preg_match('/(\.php|\.pl|\.htaccess)/i', $fnames) || !in_array($ext, $pictures)) {
err('Запрещенный формат файла!');
} elseif ($_FILES['file']['size'] > 1024 * 100) {
err('Большой размер файла!');
} else {
if ($b['icon'] == null) {
if ($bill['icon'] > $b['rur']) {
err('Недостаточно средств!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
}
$foto = 'icon_' . mt_rand(100000, 999999) . $ext;
copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/files/icons/'.$foto);
if ($b['icon'] == null) {
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ? LIMIT 1", [$bill['icon'],$b['id']]);
DB::$dbs->query("UPDATE `blogger` SET `icon` = ? WHERE `id` = ? LIMIT 1", [$foto,$b['id']]);
$text = 'Установлена иконка за [b]'.$bill['icon'].' руб.[/b]';
DB::$dbs->query("INSERT INTO `billing_hist` SET `user_id` = ?, `text` = ?, `time` = ?", [$b['id'],$text,time()]);
DB::$dbs->query("UPDATE `blogger` SET `icon_count` = ? WHERE `id` = ? LIMIT 1", [1,$b['id']]);
} else {
DB::$dbs->query("UPDATE `blogger` SET `icon` = ? WHERE `id` = ? LIMIT 1", [$foto,$b['id']]);
}
header('Location: ?ok');
die();
}
}
echo '<div class="row text_box"><form enctype="multipart/form-data" method="post" action="?">'.($b['icon'] == NULL ? '* Цена смены иконки <b>'.$bill['icon'].' руб.</b><br/>После первой смены иконки вы можете бесплатно ее менять в дальнейшем.':'Иконка').': (*max. 16x16px. 100kb.  формат .png и .gif)<br/><input name="file" type="file" accept="image/png"/><br/><input type="submit" name="add" class="btn btn-primary" value="Добавить"/></form></div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>